<mat-accordion>
  <mat-expansion-panel class="mb-3" [expanded]="true">
    <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
      <mat-panel-title><h6>Customer</h6></mat-panel-title>
    </mat-expansion-panel-header>
    <div [formGroup]="form">
      <div *ngIf="option.name?.isShown" class="form-row">
        <div *ngIf="option.name?.isShown" class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-8" [ngClass]="{ 'text-danger' : isRequired('name') }">Name: </label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-3">
            <input type="text" class="form-control form-control-sm" formControlName="name" />
            <div *ngIf="name.invalid && (name.dirty || name.touched || isSubmitted)">
              <ng-container *ngFor="let validator of option.name?.validators">
                <span *ngIf="name.errors[validator.name]" class="form-text text-danger">
                  {{ validator.message }}
                </span>
              </ng-container>
            </div>
          </div>
        </div>
      </div>
      <div *ngIf="option.email?.isShown || option.phone?.isShown" class="form-row">
        <div *ngIf="option.email?.isShown" class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-8" [ngClass]="{ 'text-danger' : isRequired('email') }">Email: </label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-3">
            <input type="text" class="form-control form-control-sm" formControlName="email" />
            <div *ngIf="email.invalid && (email.dirty || email.touched || isSubmitted)">
              <ng-container *ngFor="let validator of option.email?.validators">
                <span *ngIf="email.errors[validator.name]" class="form-text text-danger">
                  {{ validator.message }}
                </span>
              </ng-container>
            </div>
          </div>
        </div>
        <div *ngIf="option.phone?.isShown" class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-8" [ngClass]="{ 'text-danger' : isRequired('phone') }">Contact Phone: </label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-3">
            <input type="text" class="form-control form-control-sm" formControlName="phone" />
            <div *ngIf="phone.invalid && (phone.dirty || phone.touched || isSubmitted)">
              <ng-container *ngFor="let validator of option.phone?.validators">
                <span *ngIf="phone.errors[validator.name]" class="form-text text-danger">
                  {{ validator.message }}
                </span>
              </ng-container>
            </div>
          </div>
        </div>
      </div>
      <div *ngIf="option.cellphone?.isShown || option.contactName?.isShown" class="form-row">
        <div *ngIf="option.cellphone?.isShown" class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-8" [ngClass]="{ 'text-danger' : isRequired('cellphone') }">Contact Cellphone: </label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-3">
            <input type="text" class="form-control form-control-sm" formControlName="cellphone" />
            <div *ngIf="cellphone.invalid && (cellphone.dirty || cellphone.touched || isSubmitted)">
              <ng-container *ngFor="let validator of option.cellphone?.validators">
                <span *ngIf="cellphone.errors[validator.name]" class="form-text text-danger">
                  {{ validator.message }}
                </span>
              </ng-container>
            </div>
          </div>
        </div>
        <div *ngIf="option.contactName?.isShown" class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-8" [ngClass]="{ 'text-danger' : isRequired('contactName') }">Contact Name: </label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-3">
            <input type="text" class="form-control form-control-sm" formControlName="contactName" />
            <div *ngIf="contactName.invalid && (contactName.dirty || contactName.touched || isSubmitted)">
              <ng-container *ngFor="let validator of option.contactName?.validators">
                <span *ngIf="contactName.errors[validator.name]" class="form-text text-danger">
                  {{ validator.message }}
                </span>
              </ng-container>
            </div>
          </div>
        </div>
      </div>
      <div *ngIf="option.pager?.isShown || option.pagerPin?.isShown" class="form-row">
        <div *ngIf="option.pager?.isShown" class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-8" [ngClass]="{ 'text-danger' : isRequired('pager') }">Pager: </label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-3">
            <input type="text" class="form-control form-control-sm" formControlName="pager" />
            <div *ngIf="pager.invalid && (pager.dirty || pager.touched || isSubmitted)">
              <ng-container *ngFor="let validator of option.pager?.validators">
                <span *ngIf="pager.errors[validator.name]" class="form-text text-danger">
                  {{ validator.message }}
                </span>
              </ng-container>
            </div>
          </div>
        </div>
        <div *ngIf="option.pagerPin?.isShown" class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-8" [ngClass]="{ 'text-danger' : isRequired('pagerPin') }">Pager Pin: </label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-3">
            <input type="text" class="form-control form-control-sm" formControlName="pagerPin" />
            <div *ngIf="pagerPin.invalid && (pagerPin.dirty || pagerPin.touched || isSubmitted)">
              <ng-container *ngFor="let validator of option.pagerPin?.validators">
                <span *ngIf="pagerPin.errors[validator.name]" class="form-text text-danger">
                  {{ validator.message }}
                </span>
              </ng-container>
            </div>
          </div>
        </div>
      </div>
    </div>
  </mat-expansion-panel>
</mat-accordion>
